[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.OnColRowDeleted

Event handler signalled when a grid column or row is deleted.

## Declaration

Source position: grids.pas line 1543

`public property TCustomDrawGrid.OnColRowDeleted : TGridOperationEvent read FOnColRowDeleted write FOnColRowDeleted;`

## Description

Signalled from the NotifyColRowChange method (when assigned). It occurs after the column or row has been removed from the internal virtual grid for the class instance.

## See also

TCustomDrawGrid.NotifyColRowChange |  | Performs a notification when a column or row has been changed.
TCustomDrawGrid.ColRowDeleted |  | Performs actions when a column or a row is deleted from the control.
TVirtualGrid.DeleteColRow |  | Removes a column or a row in the grid.